Subject: bug#54905: Allow in tabulated lists to resize columns with the mouse

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 14 Apr 2022 16:04:24 +0200

Kiss Dénes <[email-masked]> writes:

> I'm not a fan of using the mouse in general, but when during browsing
> tables you want to resize columns, it is more natural to grab some
> handle with the mouse at the edge of the column and drag to resize it,
> than doing it from the keyboard.

Yes, that would be very nice.

Does anybody know the state of Emacs' mouse dragging support for
something like this?  Do we still need to...  er...  bind down-mouse-1
and then write all the code to do stuff outselves with track-mouse?  Or
has Emacs grown some more high-level code to bind dragging events?

I tried looking around a bit, but didn't see anything obvious, but I may
well be missing something.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no